--- old/usr/src/lib/libdisasm/i386/dis_i386.c	2013-03-04 20:43:30.551133056 -0500
+++ new/usr/src/lib/libdisasm/i386/dis_i386.c	2013-03-04 20:43:30.561481307 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <libdisasm.h>
 #include <stdlib.h>
 #include <stdio.h>
@@ -245,3 +243,12 @@
 	dis_free(hist, sizeof (uint64_t) * n);
 	return (res);
 }
+
+int
+dis_instrlen(dis_handle_t *dhp, uint64_t pc)
+{
+	if (dis_disassemble(dhp, pc, NULL, 0) != 0)
+		return (-1);
+
+	return (dhp->dh_addr - pc);
+}
